%define name	libiriver
%define	version	0.0.10
%define	release	1mdk
%define summary	Libiriver is a library written to access the iRiver IFP devices.

%define py_ver  2.3
%define major	0
%define libname	%mklibname iriver %major

Summary:	%{summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://michele.pupazzo.org/libiriver/download/%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libpython-devel
BuildRequires:	libusb-devel
Url:		http://michele.pupazzo.org/%{name}

%description
Libiriver aims to be a comprehensive library for handling the IFP
portable media players made by iRiver (www.iriver.com).

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libiriver aims to be a comprehensive library for handling the IFP
portable media players made by iRiver (www.iriver.com).

%package -n %{libname}-devel
Summary:	Files needed for developing applications which use libiriver.
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-devel
The %{name}-devel package includes the header files and .so libraries
necessary for developing programs which will access iRiver IFP devices 
using the %{name} library.

If you are going to develop programs which will access iRiver IFP devices,
you should install %{name}-devel.  You'll also need to have the %name
package installed.

%package -n %{libname}-static-devel
Summary:        Static libraries for libiriver
Group:          Development/C
Provides:       %{name}-static-devel = %{version}-%{release}
Requires:       %{libname}-devel = %{version}-%{release}

%description -n %{libname}-static-devel
The %{name}-devel package includes the static libraries
necessary for developing programs which will access iRiver IFP 
devices using the %{name} library.

If you are going to develop programs which will access iRiver IFP devices,
you should install %{name}-devel.  You'll also need to have the %name
package installed.

%package python
Summary: Python bindings for the libiriver library
Group: Development/Python
Requires: %{libname} = %{version}
Requires: python >= %{py_ver}

%description python
The libiriver-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libiriver library.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --enable-python
%make

%install
%makeinstall_std

%clean
rm -rf %buildroot

%post -p /sbin/ldconfig -n %{libname}
%postun -p /sbin/ldconfig -n %{libname}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/libiriver.pc

%files -n %{libname}-static-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_libdir}/*.a

%files python
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_libdir}/python%{py_ver}/site-packages/*.so
%{_libdir}/python%{py_ver}/site-packages/*.a
%{_libdir}/python%{py_ver}/site-packages/*.la

%changelog
* Tue Jun 15 2004 Laurent Culioli <laurent@mandrake.org> 0.0.10-1mdk
- 0.0.10

* Wed Apr 07 2004 Laurent Culioli <laurent@pschit.net> 0.0.7-1mdk
- Initial MandrakeLinux release

